Bug 869175 - [abrt] xsane-0.998-12.fc17: read: Process /usr/bin/xsane was killed by signal 6 (SIGABRT)
[abrt] xsane-0.998-12.fc17: read: Process /usr/bin/xsane was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:3cde2bd3c2604f3a98af6d49cf2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 04:11 EDT by Yann Droneaud
Modified: 2013-08-01 01:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:51:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.45 KB, text/plain)
2012-10-23 04:11 EDT, Yann Droneaud
no flags Details
File: environ (1.57 KB, text/plain)
2012-10-23 04:11 EDT, Yann Droneaud
no flags Details
File: backtrace (30.91 KB, text/plain)
2012-10-23 04:11 EDT, Yann Droneaud
no flags Details
File: cgroup (132 bytes, text/plain)
2012-10-23 04:11 EDT, Yann Droneaud
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-23 04:11 EDT, Yann Droneaud
no flags Details
File: maps (83.44 KB, text/plain)
2012-10-23 04:11 EDT, Yann Droneaud
no flags Details
File: dso_list (19.17 KB, text/plain)
2012-10-23 04:11 EDT, Yann Droneaud
no flags Details
File: build_ids (6.89 KB, text/plain)
2012-10-23 04:11 EDT, Yann Droneaud
no flags Details
File: var_log_messages (146 bytes, text/plain)
2012-10-23 04:11 EDT, Yann Droneaud
no flags Details
File: open_fds (922 bytes, text/plain)
2012-10-23 04:11 EDT, Yann Droneaud
no flags Details
Fix XSane PNM decoder (11.03 KB, patch)
2012-10-23 08:58 EDT, Yann Droneaud
no flags Details | Diff

  None (edit)
Description Yann Droneaud 2012-10-23 04:11:31 EDT
Description of problem:
I asked xsane to display one page from a multi-page project. That page was modified behind xsane's back using gimp.
The page never show, and xsane get stuck.
I killed it with SIGABRT to get a trace.


Version-Release number of selected component:
xsane-0.998-12.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        xsane
crash_function: read
kernel:         3.6.2-4.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 read at ../sysdeps/unix/syscall-template.S:82
: #1 _IO_new_file_underflow at fileops.c:619
: #2 _IO_default_uflow at genops.c:440
: #3 _IO_getline_info at iogetline.c:74
: #4 _IO_fgets at iofgets.c:58
: #5 fgets at /usr/include/bits/stdio2.h:255
: #6 xsane_read_pnm_header at ../../src/xsane-save.c:444
: #7 xsane_viewer_read_image_header at ../../src/xsane-viewer.c:2117
: #8 xsane_viewer_new at ../../src/xsane-viewer.c:2871
: #9 xsane_multipage_show_callback at ../../src/xsane-multipage-project.c:801
Comment 1 Yann Droneaud 2012-10-23 04:11:34 EDT
Created attachment 631934 [details]
File: core_backtrace
Comment 2 Yann Droneaud 2012-10-23 04:11:36 EDT
Created attachment 631935 [details]
File: environ
Comment 3 Yann Droneaud 2012-10-23 04:11:39 EDT
Created attachment 631936 [details]
File: backtrace
Comment 4 Yann Droneaud 2012-10-23 04:11:41 EDT
Created attachment 631937 [details]
File: cgroup
Comment 5 Yann Droneaud 2012-10-23 04:11:43 EDT
Created attachment 631938 [details]
File: limits
Comment 6 Yann Droneaud 2012-10-23 04:11:46 EDT
Created attachment 631939 [details]
File: maps
Comment 7 Yann Droneaud 2012-10-23 04:11:48 EDT
Created attachment 631940 [details]
File: dso_list
Comment 8 Yann Droneaud 2012-10-23 04:11:50 EDT
Created attachment 631941 [details]
File: build_ids
Comment 9 Yann Droneaud 2012-10-23 04:11:52 EDT
Created attachment 631942 [details]
File: var_log_messages
Comment 10 Yann Droneaud 2012-10-23 04:11:55 EDT
Created attachment 631943 [details]
File: open_fds
Comment 11 Yann Droneaud 2012-10-23 04:18:33 EDT
Same thing, trying to see a page from a multi-page project. This page was modified by GIMP

backtrace_rating: 4
Package: xsane-0.998-12.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Yann Droneaud 2012-10-23 08:05:14 EDT
XSane's own PNM parser is not very robust and can only read PNM produced by XSane.
Comment 13 Yann Droneaud 2012-10-23 08:56:37 EDT
(In reply to comment #12)
> XSane's own PNM parser is not very robust and can only read PNM produced by
> XSane.

When a valid PNM file is fed to XSane decoder, the decoder enter in infinite loop mode, trying to find XSane additional (optional) headers.
Comment 14 Yann Droneaud 2012-10-23 08:58:22 EDT
Created attachment 632076 [details]
Fix XSane PNM decoder

Here's a patch that improve the XSane PNM decoder:

- be sure to read return codes not to enter in infinite loop
- be resilient to malformed or unrecognized PNM file
- report errors in debug mode
Comment 15 Fedora End Of Life 2013-07-03 21:26:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2013-08-01 01:51:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.